Multiple vulnerabilities in Microsoft SharePoint

Published: 2018-12-11
Severity High
Patch available YES
Number of vulnerabilities 2
CVE ID CVE-2018-8635
CVE-2018-8580
CWE ID CWE-264
CWE-352
Exploitation vector Network
Public exploit N/A
Vulnerable software Microsoft SharePoint Server Subscribe
Vendor Microsoft

Security Advisory

1) Privilege escalation

Severity: High

CVSSv3: 8.6 [CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H/E:U/RL:O/RC:C] [PCI]

CVE-ID: CVE-2018-8635

CWE-ID: CWE-264 - Permissions, Privileges, and Access Controls

Description

The vulnerability allows a remote authenticated attacker to gain elevated privileges on the target system.

The weakness exists due to improper sanitization of a specially crafted authentication request to an affected SharePoint server. A remote attacker can send a specially crafted message to perform a server-side request forgery attack and execute malicious code on a vulnerable server in the context of the SharePoint application pool account.

Successful exploitation of the vulnerability may result in system compromise.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Microsoft SharePoint Server: 2010, 2013, 2016

CPE External links

https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2018-8635

Q & A

Can this vulnerability be exploited remotely?

Yes. This vulnerability can be exploited by a remote authenticated user via the Internet.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.

2) Cross-site search attacks

Severity: Low

CVSSv3: 4.7 [CVSS:3.0/AV:N/AC:L/PR:L/UI:R/S:C/C:L/I:L/A:N/E:U/RL:O/RC:C] [PCI]

CVE-ID: CVE-2018-8580

CWE-ID: CWE-352 - Cross-Site Request Forgery (CSRF)

Description

The vulnerability allows a remote authenticated attacker to perform cross-site search attacks.

The weakness exists due to insufficient CSRF protections in certain modes of the search function in Microsoft SharePoint Server. A remote attacker can create a specially crafted HTML page or URL, trick the victim into visiting it, induce the browser to invoke search queries as the logged in user through standard browser functionality to determine whether the query did return results or not, and thus by issuing targeted queries discover facts about documents that are searchable for the logged-in user.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Microsoft SharePoint Server: 2013, 2016

CPE External links

https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2018-8580

Q & A

Can this vulnerability be exploited remotely?

Yes. This vulnerability can be exploited by a remote authenticated user via the Internet.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.